Branch: Tag:

2002-04-11

2002-04-11 15:53:40 by Martin Stjernholm <mast@lysator.liu.se>

Make sure pikecode.* depends on all the bytecode methods.

Rev: src/Makefile.in:1.298

1:   # - # $Id: Makefile.in,v 1.297 2002/04/08 21:46:08 mikael%unix.pp.se Exp $ + # $Id: Makefile.in,v 1.298 2002/04/11 15:53:40 mast Exp $   #      # This line is needed on some machines.
65:   WARN=@WARN@      #add extra defines here + # Be sure to use -g when looking for bugs   DEFINES=@CPPFLAGS@      # -O should work with all compilers
184:   # User callable targets   #    + # Update the dumped modules, but only if dump_modules has been used earlier. + #   # Since post_modules might be static, we must remake pike after them   # to make sure they are linked in.   all: module_objects tools -  +  if [ -f dumpversion ]; then $(MAKE) $(MAKE_FLAGS) dump_modules; else :; fi    $(MAKE) $(MAKE_FLAGS) $(MAKE_PARALLEL) post_modules    $(MAKE) $(MAKE_FLAGS) $(MAKE_PARALLEL) pike    @if [ "`find . -name '*.fail' -print`" = "" ]; then :; else \
302:    >./rsif && chmod 755 ./rsif) || exit 1 ;      dump_modules: pike master-stamp $(SRCDIR)/dumpmodule.pike -  if [ "x$(DUMPARGS)" = x ] ; then args="--log-file --update-only=dumpversion --report-failed" ; else args="$(DUMPARGS)" ; fi; \ -  $(RUNPIKE) $(SRCDIR)/dumpmodule.pike $$args --recursive --target-dir=lib "$(LIBDIR_SRC)/modules" +  args="$(DUMPARGS)"; \ +  $(RUNPIKE) $(SRCDIR)/dumpmodule.pike \ +  $${args:- --log-file --update-only=dumpversion --report-failed} \ +  --recursive --target-dir=lib "$(LIBDIR_SRC)/modules"      force_dump_modules:    -rm dumpversion 2>/dev/null
335:    @echo "Compiling $<" ;\    rm -f $@.fail >/dev/null 2>&1; \    if $(CC) $(CFLAGS) -c $< -o $@ ; then : ; else \ -  echo "WARNING: Compiler failure! Trying without optimization!" >&2;\ -  echo "$(CC) $(PREFLAGS) $(NOOPTFLAGS) -c $< -o $@" >&2 ;\ +  echo "Compilation command was:" >&2;\ +  echo "$(CC) $(PREFLAGS) $(CFLAGS) -c $< -o $@" >&2 ;\    echo "$(CC) $(PREFLAGS) $(CFLAGS) -c $< -o $@" >$@.fail ;\ -  NO_ULIMIT=yes; \ -  export NO_ULIMIT; \ -  if $(CC) $(PREFLAGS) $(NOOPTFLAGS) -c $< -o $@ ; then : ; else \ -  exit $$?; \ -  fi; \ +  false; \    fi      #
447:    ( cd post_modules && $(MAKE) $(MAKE_FLAGS) testsuites )      just_verify: module_testsuites testsuite master-stamp -  if test "x$(TESTARGS)" = x ; then args="-a" ; else args="$(TESTARGS)" ; fi; \ +  if test "$(TESTARGS)" = "" ; then args="-a" ; else args="$(TESTARGS)" ; fi; \    $(RUNPIKE) $(TMP_BINDIR)/test_pike.pike $$args      # Testsuite for dynamic loading debugging
913:      module.o: post_modules/modlist.h post_modules/modlist_headers.h    + # Must have manual depends on all the bytecode methods in the code + # dir, since make depend will only include the one that was chosen, + # and that doesn't suffice in source dists. +  + pikecode.h: code/ia32.h code/sparc.h code/ppc32.h code/computedgoto.h code/bytecode.h +  + pikecode.c: code/ia32.c code/sparc.c code/ppc32.c code/computedgoto.c code/bytecode.c +    @dependencies@